Bug 228213 - [exp-run] Update Qt to 5.10.1
Summary: [exp-run] Update Qt to 5.10.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-13 10:24 UTC by Raphael Kubo da Costa
Modified: 2018-05-18 12:28 UTC (History)
2 users (show)

See Also:
antoine: exp-run+


Attachments
Patch v1 (316.61 KB, patch)
2018-05-13 10:24 UTC, Raphael Kubo da Costa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Raphael Kubo da Costa freebsd_committer 2018-05-13 10:24:12 UTC
Created attachment 193348 [details]
Patch v1

kde@ would like an exp-run for updating the Qt 5 ports. Patch attached and also available at https://people.freebsd.org/~rakuco/exp-runs/qt-5.10.1-v1.diff
Comment 1 Tobias C. Berner freebsd_committer 2018-05-13 19:02:55 UTC
I committed 4 changes to branches/qt-5.10 to fix the DEBUG plists of 
* accessibility/qt5-speech
* x11-toolkits/qt5-quickcontrols
* x11-toolkits/qt5-quickcontrols2
* graphics/qt5-wayland

Note, that also the non-DEBUG plist of graphics/qt5-wayland was wrongish.


That should not really matter for the exp-run -- but remember to include them in the commit.


mfg Tobias
Comment 4 commit-hook freebsd_committer 2018-05-15 11:56:51 UTC
A commit references this bug:

Author: rakuco
Date: Tue May 15 11:56:39 UTC 2018
New revision: 470012
URL: https://svnweb.freebsd.org/changeset/ports/470012

Log:
  Add an upstream patch to fix the build with Qt 5.10.

      In file included from webtab/searchtoolbar.cpp:21:
      ../../build/ui_searchtoolbar.h:76:31: error: no viable conversion from 'QLatin1String' to 'const QKeySequence'
              previous->setShortcut(QLatin1String("Ctrl+Shift+G"));

  PR:		228213

Changes:
  head/www/qupzilla-qt5/Makefile
  head/www/qupzilla-qt5/files/patch-git_ca2b5f22b
Comment 5 commit-hook freebsd_committer 2018-05-15 15:11:33 UTC
A commit references this bug:

Author: rakuco
Date: Tue May 15 15:10:29 UTC 2018
New revision: 470023
URL: https://svnweb.freebsd.org/changeset/ports/470023

Log:
  Add upstream patch to fix `make configure' with Qt 5.10.

  Without this commit, configuring with Qt 5.10 fails with

      Project ERROR: Tarsnap-gui requires Qt 5.2 or higher.

  PR:		228213

Changes:
  head/sysutils/tarsnap-gui/files/
  head/sysutils/tarsnap-gui/files/patch-git_f1824def12
Comment 6 commit-hook freebsd_committer 2018-05-15 15:13:37 UTC
A commit references this bug:

Author: rakuco
Date: Tue May 15 15:13:11 UTC 2018
New revision: 470024
URL: https://svnweb.freebsd.org/changeset/ports/470024

Log:
  Add upstream patch to fix the build with Qt 5.10.

      /wrkdirs/usr/ports/emulators/mgba/work/mgba-0.6.1/src/platform/qt/MemoryModel.cpp:102:15: error: no viable overloaded '='
              m_regionName = name;
              ~~~~~~~~~~~~ ^ ~~~~

  PR:		228213

Changes:
  head/emulators/mgba/files/
  head/emulators/mgba/files/patch-git_e3137356
Comment 7 commit-hook freebsd_committer 2018-05-15 18:21:19 UTC
A commit references this bug:

Author: rakuco
Date: Tue May 15 18:20:49 UTC 2018
New revision: 470042
URL: https://svnweb.freebsd.org/changeset/ports/470042

Log:
  Add an upstream patch to fix the build with Qt 5.10.

      src/ui_sqlexecutionwidget.h:186:34: error: no viable conversion from 'QLatin1String' to 'const QKeySequence'
              snippets_tb->setShortcut(QLatin1String("Alt+X"));
                                       ^~~~~~~~~~~~~~~~~~~~~~

  PR:		228213

Changes:
  head/databases/pgmodeler/Makefile
  head/databases/pgmodeler/files/patch-git_309be58b
Comment 8 commit-hook freebsd_committer 2018-05-15 18:52:49 UTC
A commit references this bug:

Author: rakuco
Date: Tue May 15 18:51:52 UTC 2018
New revision: 470045
URL: https://svnweb.freebsd.org/changeset/ports/470045

Log:
  Add upstream patch to fix the build with Qt 5.10.

      _tmp/ui/ui_Bowtie2Settings.h:189:35: error: no viable conversion from 'QLatin1String' to 'const QKeySequence'
              gbarCheckBox->setShortcut(QLatin1String(""));
                                        ^~~~~~~~~~~~~~~~~

  PR:		228213

Changes:
  head/biology/ugene/Makefile
  head/biology/ugene/files/patch-git_279756e4
Comment 9 commit-hook freebsd_committer 2018-05-16 19:47:25 UTC
A commit references this bug:

Author: rakuco
Date: Wed May 16 19:46:26 UTC 2018
New revision: 470145
URL: https://svnweb.freebsd.org/changeset/ports/470145

Log:
  Import yet another patch from upstream to fix the build with Qt 5.10.

  This has been properly tested now.

  PR:		228213

Changes:
  head/databases/pgmodeler/Makefile
  head/databases/pgmodeler/files/patch-git_309be58b
Comment 10 Antoine Brodin freebsd_committer 2018-05-18 12:00:14 UTC
Exp-run looks fine.
Comment 11 commit-hook freebsd_committer 2018-05-18 12:27:57 UTC
A commit references this bug:

Author: rakuco
Date: Fri May 18 12:27:53 UTC 2018
New revision: 470288
URL: https://svnweb.freebsd.org/changeset/ports/470288

Log:
  Update the Qt5 ports to 5.10.1.

  The work was done by tcberner and myself, with thanks to antoine for the
  exp-run.

  Not a lot to report compared to other Qt5 updates:
  * net/qt5-network is still broken with LibreSSL. I said this in a commit
    message ages ago but it bears repeating: upstream is open to adding support
    for LibreSSL, but someone needs to step up to maintain it upstream, otherwise
    things will continue to be broken all the time.
  * www/qt5-webengine is a huge monster that is terrible to update, just like
    www/chromium itself is. We (kde@) have decided to keep using the 5.9 series
    for the time being, as it should be compatible with the rest of Qt anyway. It
    was updated to 5.9.5, the latest 5.9 release at the time of writing.

  PR:		228213

Changes:
  head/Mk/bsd.qt.mk
  head/accessibility/qt5-speech/Makefile
  head/accessibility/qt5-speech/pkg-plist
  head/comms/qt5-connectivity/Makefile
  head/comms/qt5-connectivity/pkg-plist
  head/comms/qt5-sensors/Makefile
  head/comms/qt5-serialbus/Makefile
  head/comms/qt5-serialport/Makefile
  head/comms/qt5-serialport/pkg-plist
  head/databases/qt5-sql/Makefile
  head/databases/qt5-sqldrivers-ibase/Makefile
  head/databases/qt5-sqldrivers-mysql/Makefile
  head/devel/qt5/distinfo
  head/devel/qt5-assistant/Makefile
  head/devel/qt5-buildtools/Makefile
  head/devel/qt5-concurrent/Makefile
  head/devel/qt5-core/Makefile
  head/devel/qt5-core/pkg-plist
  head/devel/qt5-dbus/Makefile
  head/devel/qt5-designer/Makefile
  head/devel/qt5-designer/pkg-plist
  head/devel/qt5-help/Makefile
  head/devel/qt5-linguist/Makefile
  head/devel/qt5-linguisttools/Makefile
  head/devel/qt5-location/Makefile
  head/devel/qt5-location/pkg-plist
  head/devel/qt5-qdbus/Makefile
  head/devel/qt5-qdbusviewer/Makefile
  head/devel/qt5-qdoc/Makefile
  head/devel/qt5-qdoc-data/Makefile
  head/devel/qt5-qmake/Makefile
  head/devel/qt5-qmake/pkg-plist
  head/devel/qt5-script/Makefile
  head/devel/qt5-scripttools/Makefile
  head/devel/qt5-scxml/Makefile
  head/devel/qt5-testlib/Makefile
  head/devel/qt5-uitools/Makefile
  head/devel/qt5-uitools/files/patch-src__designer__src__src.pro
  head/graphics/qt5-3d/Makefile
  head/graphics/qt5-3d/pkg-plist
  head/graphics/qt5-graphicaleffects/Makefile
  head/graphics/qt5-graphicaleffects/pkg-plist
  head/graphics/qt5-imageformats/Makefile
  head/graphics/qt5-opengl/Makefile
  head/graphics/qt5-pixeltool/Makefile
  head/graphics/qt5-svg/Makefile
  head/graphics/qt5-wayland/Makefile
  head/graphics/qt5-wayland/pkg-plist
  head/lang/qt5-qml/Makefile
  head/lang/qt5-qml/pkg-plist
  head/misc/qt5-doc/Makefile
  head/misc/qt5-doc/distinfo
  head/misc/qt5-doc/pkg-plist
  head/misc/qt5-examples/Makefile
  head/misc/qt5-examples/distinfo
  head/misc/qt5-examples/pkg-plist
  head/misc/qt5-l10n/Makefile
  head/multimedia/qt5-multimedia/Makefile
  head/multimedia/qt5-multimedia/pkg-plist
  head/multimedia/qt5-phonon4/Makefile
  head/multimedia/qt5-phonon4-gstreamer/Makefile
  head/multimedia/qt5-phonon4-vlc/Makefile
  head/net/qt5-network/Makefile
  head/net/qt5-network/files/patch-src_network_ssl_qsslcontext__openssl.cpp
  head/net/qt5-network/files/patch-src_network_ssl_qsslcontext__opensslpre11.cpp
  head/net/qt5-network/files/patch-src_network_ssl_qsslsocket__openssl__symbols.cpp
  head/net/qt5-network/files/patch-src_network_ssl_qsslsocket__openssl__symbols__p.h
  head/net/qt5-network/pkg-plist
  head/print/qt5-printsupport/Makefile
  head/sysutils/qt5-qtdiag/Makefile
  head/sysutils/qt5-qtpaths/Makefile
  head/sysutils/qt5-qtplugininfo/Makefile
  head/textproc/qt5-xml/Makefile
  head/textproc/qt5-xmlpatterns/Makefile
  head/www/qt5-webchannel/Makefile
  head/www/qt5-webengine/Makefile
  head/www/qt5-webengine/distinfo
  head/www/qt5-webengine/files/patch-src_buildtools_buildtools.pro
  head/www/qt5-webengine/pkg-plist
  head/www/qt5-webkit/Makefile
  head/www/qt5-websockets/Makefile
  head/www/qt5-websockets-qml/Makefile
  head/x11/qt5-qev/Makefile
  head/x11/qt5-x11extras/Makefile
  head/x11-toolkits/qt5-canvas3d/Makefile
  head/x11-toolkits/qt5-charts/Makefile
  head/x11-toolkits/qt5-charts/pkg-plist
  head/x11-toolkits/qt5-datavis3d/Makefile
  head/x11-toolkits/qt5-gamepad/Makefile
  head/x11-toolkits/qt5-gui/Makefile
  head/x11-toolkits/qt5-gui/pkg-plist
  head/x11-toolkits/qt5-quick/Makefile
  head/x11-toolkits/qt5-quick/pkg-plist
  head/x11-toolkits/qt5-quickcontrols/Makefile
  head/x11-toolkits/qt5-quickcontrols/pkg-plist
  head/x11-toolkits/qt5-quickcontrols2/Makefile
  head/x11-toolkits/qt5-quickcontrols2/pkg-plist
  head/x11-toolkits/qt5-uiplugin/Makefile
  head/x11-toolkits/qt5-uiplugin/files/patch-src_designer_src_src.pro
  head/x11-toolkits/qt5-virtualkeyboard/Makefile
  head/x11-toolkits/qt5-virtualkeyboard/pkg-plist
  head/x11-toolkits/qt5-widgets/Makefile
  head/x11-toolkits/qt5-widgets/pkg-plist